package net.lecnam.info.ex4;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import net.lecnam.info.channel.ObjectReader;
import net.lecnam.info.channel.ObjectWriter;

public class Client implements Runnable {

	RemoteComputeEngine<Integer> rce; 

	Client(ObjectReader<Integer> in, ObjectWriter<Task<Integer>> out) {
		this.rce = new RemoteComputeEngine<>(in, out);
	}

	@Override
	public void run() {
		try {
			Task<Integer> task = new SimpleTask(4, 7);
			Task<Integer> task2 = new SimpleTask(9, 8);
			Pair<Integer, Integer> result = rce.executeTasks(task, task2);
			System.out.println(result.fst());
			System.out.println(result.snd());
			rce.stop();
		} catch (IOException ex) {
			throw new Error(ex);
		}
	}

}
